std::__is_tuple_like_impl< std::pair< _T1, _T2 > > Struct Template Reference
Inheritance diagram for std::__is_tuple_like_impl< std::pair< _T1, _T2 > >:
[legend]

## Public Types

typedef integral_constant< _Tp, __v > | type
typedef _Tp | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

### template<typename _T1, typename _T2>
struct std::__is_tuple_like_impl< std::pair< _T1, _T2 > >

Partial specialization for std::pair.

Definition at line 145 of file utility.

The documentation for this struct was generated from the following file:

- utility